Luxor PlatformAPI DocumentationCommanderInventory
Bulk create inventory assets
Creates multiple inventory assets in one atomic request.
Authorization
LuxorAPIKey authorization<token>
Use your API key here.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v2/commander/inventory/assets/bulk" \ -H "Content-Type: application/json" \ -d '{ "assets": [ { "mac_address": "AA:BB:CC:DD:EE:FF", "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811" } ] }'{ "assets": [ { "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "url": "/v2/commander/inventory/assets/a1b2c3d4-e5f6-7890-abcd-ef1234567890" } ]}{ "statusCode": 400, "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "body/end_date Required"}{ "statusCode": 400, "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "body/end_date Required"}Create inventory asset
Creates a single inventory asset. Custom field values are validated against the workspace custom-field definitions.
Update inventory asset
Updates an inventory asset. All fields optional; only supplied fields change. `custom_fields` is merged (only supplied keys are updated; send an empty string to clear a key).